SDL_GetCPUCount(3)

NAME
SDL_GetCPUCount - Get the number of CPU cores available.

HEADER FILE
Defined in SDL3/SDL_cpuinfo.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GetCPUCount(void);

RETURN VALUE
Returns the total number of logical CPU cores. On CPUs that include technologies such as hyperthreading, the number of logical cores may be more than the number of physical cores.

AVAILABILITY
This function is available since SDL 3.0.0.